/// <reference types="cors" />
import { CorsOptions } from 'apollo-server-express';
import express from 'express';
import { GraphQLSchema } from 'graphql';
export declare type Config = {
    allowIntrospection: boolean;
    allowListPath?: string;
    allowedOrigins?: CorsOptions['origin'];
    apiPort: number;
    cacheEnabled: boolean;
    listenAddress: string;
    prometheusMetrics: boolean;
    queryDepthLimit?: number;
    tracing: boolean;
};
export declare class Server {
    app: express.Application;
    private apolloServer;
    private config;
    private httpServer;
    private schemas;
    constructor(schemas: GraphQLSchema[], config: Config);
    init(): Promise<void>;
    start(): Promise<void>;
    shutdown(): void;
}
//# sourceMappingURL=Server.d.ts.map